Foreman - Feature #9738

use names in hostgroups instead of ID's
06/13/2011 08:49 AM - Ohad Levy

Status:
Priority:
Assignee:

Category:

Target version:

Rejected
Normal
Ohad Levy
API

0.4

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

should also allow hostgroups/hosts

History

#1 - 06/13/2011 08:19 PM - Corey Osman

| would appreciate backward compatibility by allowing use of both.

#2 - 08/15/2011 06:51 AM - Ohad Levy

- Status changed from New to Rejected

Now that #35 has been merged, using simple names is not good enough.

Having a complex name route - such as:
/hostgroups/base/db/appX is imho not as useful,
therefore, I'm rejecting the ticket.

if this bothers anyone, rails can easly make nice urls by appending the hostgroup name after the id

e.g.

/hostgroups/1l-Web-Servers/
